## keysafe 0.4.0.2

=== debian/changelog ===
keysafe (0.4.0.2-2) unstable; urgency=low

  * debian/rules: Add dh_makeshlibs -n to make lintian happy.
  * debian/patches/03-libbotan1.8.patch:
    - Link against libbotan-1.8 (LP: #562605).
  * Switch to debian 3.0 (quilt) source format.
  * debian/control:
    - Bump Standards.
    - Set DM-Upload-Allowed to yes.
    - Adjust debhelper buil-dep to ease backporters' life.
  * Move packaging to collab-maint's git area.
  * debian/changelog: Add Ubuntu entries.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 28 Apr 2010 22:27:32 +0200

keysafe (0.4.0.2-1ubuntu2) lucid; urgency=low

  * Link against libbotan-1.8 (LP: #562605).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 26 Apr 2010 17:23:44 +0200

keysafe (0.4.0.2-1ubuntu1) lucid; urgency=low

  * Re-sync with debian.
  * Add dh_makeshlibs -n to make lintian happy.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 11 Dec 2009 17:24:12 +0100

keysafe (0.4.0.2-1) unstable; urgency=low

  * New upstream release.
  * Adopting this (Closes: #541644).
  * Drop cdbs, switch to debhelper 7.
  * debian/control:
    - Replace dependency on python-glade2 with python-{gobject,gtk2};
      Libglade -> GtkBuilder transition.
    - Bump python-support build-dependency according to Python new policy.
  * debian/watch: Adjustments to make it working again.
  * Add quilt support.
  * debian/patches/01-fix_shebangs.patch:
    - Fix python scripts' shebangs.
  * debian/patches/02-libbost_python.patch:
    - Fix building issue related to libboost transition.
  * Update debian/copyright.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 03 Dec 2009 17:24:58 +0100

keysafe (0.4.0.1-0ubuntu2) karmic; urgency=low

  * No change rebuild for botan transition

 -- Scott Kitterman <scott@kitterman.com>  Wed, 07 Oct 2009 22:19:14 -0400

keysafe (0.4.0.1-0ubuntu1) karmic; urgency=low

  [ Artur Rona ]
  * New upstream release (LP: #377871).
  * Merge debian-dir from 0.4-1 (unstable):
    - Bump debhelper compat level to 7.
    - Bump Standard-Version to 3.8.0.
    - Build-Depends on libboost-python-dev, libbotan1.8-dev.
    - Drop Build-Depends-Indep.
  * debian/control: Add homepage.
  * debian/rules: Support simple-patchsys.
  * debian/patches/01_fix_lboost_python.patch: Link to lboost_python-mt.
  * debian/watch: Add for uscan.

  [ Kenneth E. Drake ]
  * debian/patches/02_python_26.patch: Fix for python 2.6
  * debian/rules: Fix issue with binary-post-install.

 -- Artur Rona <ari-tczew@tlen.pl>  Sat, 04 Jul 2009 11:46:03 +0200

keysafe (0.4-2) unstable; urgency=low

  * QA upload.
    - Set Maintainer to Debian QA Group.
  * Cyril's boost-related changes can be dropped, boost1.39 now provides
    compatibility symlinks to avoid generalized failures, see bug #541133.
  * debian/control:
    - Build-depend on cdbs (>= 0.4.49) and python-all-dev (>= 2.4).
    - Depend on python-gconf instead of python-gnome2 (Closes: #541585).
    - Add XS-Python-Version field.
    - Bump Standards-Version to 3.8.3.
    - Add Homepage field.
  * debian/copyright:
    - Replace (c) with ©, the latter has legal validity.
  * debian/watch:
    - Provide watch file.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 16 Sep 2009 11:53:53 +0000

keysafe (0.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with new boost (>= 1.37.0) by using the â-mtâ suffix for
    boost libraries since starting with this version, only this variant
    is available (Closes: #530466). Update Makefile.{am,in} accordingly.
  * Set urgency to âmediumâ since testing is affected too.
  * Fix bashisms in debian/rules (Closes: #535393).

 -- Cyril Brulebois <kibi@debian.org>  Sat, 18 Jul 2009 14:49:54 +0200

keysafe (0.4-1) unstable; urgency=low

  * New upstream release

 -- Magnus Therning <magnus@therning.org>  Fri, 20 Feb 2009 20:56:36 +0000

keysafe (0.3.5-4.1) unstable; urgency=low

  * Removing dependency on python2.4 packages.

 -- Magnus Therning <magnus@therning.org>  Mon, 04 Aug 2008 20:12:40 +0100

keysafe (0.3.5-3) unstable; urgency=low

  * Improving the copyright file.

 -- Magnus Therning <magnus@therning.org>  Wed, 12 Sep 2007 08:14:55 +0100

keysafe (0.3.5-2) unstable; urgency=low

  * Dealing with complaints from Lintian.

 -- Magnus Therning <magnus@therning.org>  Mon, 27 Aug 2007 23:00:09 +0100

keysafe (0.3.5-1) unstable; urgency=low

  * Initial release Closes: #437955

 -- Magnus Therning <magnus@therning.org>  Tue, 14 Aug 2007 23:10:54 +0100
