=== debian/control ===
Source: keysafe
Section: gnome
Priority: optional
Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
 libboost-python-dev,
 libbotan1.8-dev,
 autotools-dev,
 python-all-dev (>= 2.5),
 python-gnome2-dev,
 python-support (>= 0.5.3)
DM-Upload-Allowed: yes
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/collab-maint/keysafe.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/keysafe.git
XS-Python-Version: >= 2.5
Homepage: http://therning.org/magnus/computer/keysafe

Package: keysafe
Architecture: any
Depends: ${python:Depends},
 ${shlibs:Depends},
 python-gtk2,
 python-gconf,
 python-gobject,
 python-crypto,
 ${misc:Depends}
Description: safe, simple storage system for passwords
 This package contains two tools for managing passwords:
  * keysafe - access your key safe
  * ksed - edit your key safe
