=== debian/rules ===
#!/usr/bin/make -f

KEYSAFE_LIB_DIR = debian/keysafe/usr/lib/keysafe/libkeysafe

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm  $(KEYSAFE_LIB_DIR)/cryptobotan.a \
		$(KEYSAFE_LIB_DIR)/cryptobotan.la \
		$(KEYSAFE_LIB_DIR)/cryptobotan.so \
		$(KEYSAFE_LIB_DIR)/cryptobotan.so.0
	mv $(KEYSAFE_LIB_DIR)/cryptobotan.so.0.0.0 \
		$(KEYSAFE_LIB_DIR)/cryptobotan.so

override_dh_makeshlibs:
	dh_makeshlibs -n
