=== debian/watch ===
version=3
http://therning.org/magnus_files/keysafe/keysafe-(.*)\.tar\.(?:bz2|gz)
