## keysafe 0.20170303

=== debian/changelog ===
keysafe (0.20170303-1) experimental; urgency=medium

  * New upstream release.
  * Update libghc-raaz-dev dependency.
  * Fix broken /usr/share/doc symlinks, TODO -> TODO.gz.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 29 Mar 2017 21:37:26 -0700

keysafe (0.20170122-1) experimental; urgency=medium

  * New upstream release.
  * Update Homepage: in d/control.
  * Update Source: in d/copyright.
  * Switch to dgit-maint-merge(7) workflow.
    - Add d/source/options
    - Add d/source/patch-header

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 25 Jan 2017 08:17:39 -0700

keysafe (0.20161107-1) experimental; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 29 Nov 2016 19:55:39 -0700

keysafe (0.20161022-2) experimental; urgency=medium

  * keysafe-bin no longer recommends zenity.
  * keysafe now depends on tor (Closes: #843522).
  * Bump build-dependencies on libghc-servant-*
  * Add bump-deps-to-GHC-8.0.1-LTS-Haskell-7.8.patch
  * Refresh use-_keysafe.patch

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 29 Nov 2016 17:49:49 -0700

keysafe (0.20161022-1) experimental; urgency=medium

  * Initial release (Closes: #834869).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 23 Oct 2016 13:39:53 -0700
