=== debian/control ===
Source: keysafe
Maintainer: Sean Whitton <spwhitton@spwhitton.name>
Priority: optional
Section: utils
Build-Depends: debhelper (>= 10),
 ghc,
 libghc-argon2-dev (>= 1.2),
 libghc-argon2-dev (<< 1.3),
 libghc-monadrandom-dev (>= 0.4),
 libghc-monadrandom-dev (<< 0.5),
 libghc-safesemaphore-dev (>= 0.10),
 libghc-safesemaphore-dev (<< 0.11),
 libghc-aeson-dev (>= 0.11),
 libghc-aeson-dev (<< 0.12),
 libghc-async-dev (>= 2.1),
 libghc-async-dev (<< 2.2),
 libghc-bloomfilter-dev (>= 2.0),
 libghc-bloomfilter-dev (<< 2.1),
 libghc-disk-free-space-dev (>= 0.1),
 libghc-disk-free-space-dev (<< 0.2),
 libghc-exceptions-dev (>= 0.8),
 libghc-exceptions-dev (<< 0.9),
 libghc-fast-logger-dev (>= 2.4),
 libghc-fast-logger-dev (<< 2.5),
 libghc-http-client-dev (>= 0.4),
 libghc-http-client-dev (<< 0.5),
 libghc-lifted-base-dev (>= 0.2),
 libghc-lifted-base-dev (<< 0.3),
 libghc-network-dev (>= 2.6),
 libghc-network-dev (<< 2.7),
 libghc-optparse-applicative-dev (>= 0.12),
 libghc-optparse-applicative-dev (<< 0.13),
 libghc-raaz-dev (>= 0.1.1),
 libghc-raaz-dev (<< 0.1.1+~),
 libghc-random-dev (>= 1.1),
 libghc-random-dev (<< 1.2),
 libghc-random-shuffle-dev (>= 0.0),
 libghc-random-shuffle-dev (<< 0.1),
 libghc-readline-dev (>= 1.0),
 libghc-readline-dev (<< 1.1),
 libghc-secret-sharing-dev (>= 1.0),
 libghc-secret-sharing-dev (<< 1.1),
 libghc-servant-dev (>= 0.8),
 libghc-servant-dev (<< 0.9),
 libghc-servant-client-dev (>= 0.8),
 libghc-servant-client-dev (<< 0.9),
 libghc-servant-server-dev (>= 0.8),
 libghc-servant-server-dev (<< 0.9),
 libghc-socks-dev (>= 0.5),
 libghc-socks-dev (<< 0.6),
 libghc-split-dev (>= 0.2),
 libghc-split-dev (<< 0.3),
 libghc-stm-dev (>= 2.4),
 libghc-stm-dev (<< 2.5),
 libghc-text-dev (>= 1.2),
 libghc-text-dev (<< 1.3),
 libghc-token-bucket-dev (>= 0.1),
 libghc-token-bucket-dev (<< 0.2),
 libghc-unbounded-delays-dev (>= 0.1),
 libghc-unbounded-delays-dev (<< 0.2),
 libghc-unix-compat-dev (>= 0.4),
 libghc-unix-compat-dev (<< 0.5),
 libghc-utf8-string-dev (>= 1.0),
 libghc-utf8-string-dev (<< 1.1),
 libghc-wai-dev (>= 3.2),
 libghc-wai-dev (<< 3.3),
 libghc-warp-dev (>= 3.2),
 libghc-warp-dev (<< 3.3),
 libghc-zxcvbn-c-dev (>= 1.0),
 libghc-zxcvbn-c-dev (<< 1.1),
Standards-Version: 3.9.8
Homepage: https://keysafe.branchable.com/
Vcs-Git: https://git.spwhitton.name/keysafe
Vcs-Browser: https://git.spwhitton.name/keysafe

Package: keysafe-bin
Architecture: any
Section: misc
Depends: ${shlibs:Depends},
 ${misc:Depends},
Suggests: git-annex,
Description: keysafe's shared, architecture-dependent files
 This package contains the keysafe binary.  Keysafe is a program to
 back up your secret encryption keys, such as OpenPGP/GPG private
 keys, to cloud servers.
 .
 Instead of installing this package directly, you should install
 either keysafe or keysafe-server.  See those packages for a full
 description of Keysafe.

Package: keysafe
Architecture: all
Section: misc
Depends: ${misc:Depends},
 keysafe-bin,
# we require a hard dependency on zenity due to keysafe.autostart
 zenity,
 tor,
Enhances: git-annex, propellor
Description: securely back up secret keys to cloud servers
 Keysafe is a program to back up your secret encryption keys, such as
 OpenPGP/GPG private keys, to cloud servers.  Keys are split up into
 several shards, only one of which is sent to each cloud server.  This
 way, it is impossible for any one server to access the whole secret
 key by itself.
 .
 A password is used to encrypt the shards.  Keysafe's design ensures
 that it is infeasibly expensive to crack the password.
 .
 This package should be installed by desktop users.  To set up a
 Keysafe server, you should install keysafe-server.

Package: keysafe-server
Architecture: all
Section: misc
Depends: ${misc:Depends},
 keysafe-bin,
 lsb-base (>= 3.0-6),
 adduser,
Description: run a keysafe cloud server
 Keysafe is a program to back up your secret encryption keys, such as
 OpenPGP/GPG private keys, to cloud servers.  Keys are split up into
 several shards, only one of which is sent to each cloud server.  This
 way, it is impossible for any one server to access the whole secret
 key by itself.
 .
 A password is used to encrypt the shards.  Keysafe's design ensures
 that it is infeasibly expensive to crack the password.
 .
 This package sets up a Keysafe server.  If you want to use Keysafe to
 back up your keys, you should install the keysafe package instead.
