=== debian/tests/control ===
Test-Command: keysafe --test
Depends: @
