## keysafe 0.20200214

=== debian/changelog ===
keysafe (0.20200214-1) experimental; urgency=medium

  * New upstream release.
    - Bump build-dep bounds.
    - Add text-short build-dep.
  * Drop symlinks to TODO, which is no longer provided by upstream
    (Closes: #877205).
    Thanks, Andreas Beckmann.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 17 Feb 2020 09:35:02 -0700

keysafe (0.20170811-1) experimental; urgency=medium

  * New upstream release.
  * Bump std-ver to 4.0.1 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 16 Aug 2017 12:33:09 -0700
