=== debian/control ===
--- 
+++ 
@@ -4,62 +4,64 @@
 Section: utils
 Build-Depends: debhelper (>= 10),
  ghc,
- libghc-argon2-dev (>= 1.2),
- libghc-argon2-dev (<< 1.3),
+ libghc-argon2-dev (>= 1.3),
+ libghc-argon2-dev (<< 1.4),
  libghc-monadrandom-dev (>= 0.4),
- libghc-monadrandom-dev (<< 0.5),
+ libghc-monadrandom-dev (<< 0.6),
  libghc-safesemaphore-dev (>= 0.10),
  libghc-safesemaphore-dev (<< 0.11),
  libghc-aeson-dev (>= 0.11),
- libghc-aeson-dev (<< 0.12),
- libghc-async-dev (>= 2.1),
- libghc-async-dev (<< 2.2),
+ libghc-aeson-dev (<< 1.5),
+ libghc-async-dev (>= 2.2),
+ libghc-async-dev (<< 2.3),
  libghc-bloomfilter-dev (>= 2.0),
  libghc-bloomfilter-dev (<< 2.1),
  libghc-disk-free-space-dev (>= 0.1),
  libghc-disk-free-space-dev (<< 0.2),
- libghc-exceptions-dev (>= 0.8),
- libghc-exceptions-dev (<< 0.9),
+ libghc-exceptions-dev (>= 0.10),
+ libghc-exceptions-dev (<< 0.11),
  libghc-fast-logger-dev (>= 2.4),
  libghc-fast-logger-dev (<< 2.5),
  libghc-http-client-dev (>= 0.4),
- libghc-http-client-dev (<< 0.5),
+ libghc-http-client-dev (<< 0.7),
  libghc-lifted-base-dev (>= 0.2),
  libghc-lifted-base-dev (<< 0.3),
- libghc-network-dev (>= 2.6),
- libghc-network-dev (<< 2.7),
+ libghc-network-dev (>= 2.8),
+ libghc-network-dev (<< 2.9),
  libghc-optparse-applicative-dev (>= 0.12),
- libghc-optparse-applicative-dev (<< 0.13),
- libghc-raaz-dev (>= 0.1.1),
- libghc-raaz-dev (<< 0.1.1+~),
+ libghc-optparse-applicative-dev (<< 0.16),
+ libghc-raaz-dev (>= 0.2.1),
+ libghc-raaz-dev (<< 0.2.1+~),
  libghc-random-dev (>= 1.1),
  libghc-random-dev (<< 1.2),
  libghc-random-shuffle-dev (>= 0.0),
  libghc-random-shuffle-dev (<< 0.1),
  libghc-readline-dev (>= 1.0),
  libghc-readline-dev (<< 1.1),
- libghc-secret-sharing-dev (>= 1.0),
- libghc-secret-sharing-dev (<< 1.1),
- libghc-servant-dev (>= 0.8),
- libghc-servant-dev (<< 0.9),
- libghc-servant-client-dev (>= 0.8),
- libghc-servant-client-dev (<< 0.9),
- libghc-servant-server-dev (>= 0.8),
- libghc-servant-server-dev (<< 0.9),
+ libghc-secret-sharing-dev (>= 1.0.1.0),
+ libghc-secret-sharing-dev (<< 1.0.1.1),
+ libghc-servant-dev (>= 0.7),
+ libghc-servant-dev (<< 0.18),
+ libghc-servant-client-dev (>= 0.7),
+ libghc-servant-client-dev (<< 0.18),
+ libghc-servant-server-dev (>= 0.7),
+ libghc-servant-server-dev (<< 0.18),
  libghc-socks-dev (>= 0.5),
  libghc-socks-dev (<< 0.6),
  libghc-split-dev (>= 0.2),
  libghc-split-dev (<< 0.3),
- libghc-stm-dev (>= 2.4),
- libghc-stm-dev (<< 2.5),
+ libghc-stm-dev (>= 2.5),
+ libghc-stm-dev (<< 2.6),
  libghc-text-dev (>= 1.2),
  libghc-text-dev (<< 1.3),
+ libghc-text-short-dev (>= 0.1),
+ libghc-text-short-dev (<< 0.2),
  libghc-token-bucket-dev (>= 0.1),
  libghc-token-bucket-dev (<< 0.2),
  libghc-unbounded-delays-dev (>= 0.1),
  libghc-unbounded-delays-dev (<< 0.2),
  libghc-unix-compat-dev (>= 0.4),
- libghc-unix-compat-dev (<< 0.5),
+ libghc-unix-compat-dev (<< 0.6),
  libghc-utf8-string-dev (>= 1.0),
  libghc-utf8-string-dev (<< 1.1),
  libghc-wai-dev (>= 3.2),
@@ -68,7 +70,7 @@
  libghc-warp-dev (<< 3.3),
  libghc-zxcvbn-c-dev (>= 1.0),
  libghc-zxcvbn-c-dev (<< 1.1),
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: https://keysafe.branchable.com/
 Vcs-Git: https://git.spwhitton.name/keysafe
 Vcs-Browser: https://git.spwhitton.name/keysafe
